## helma.framework
Interface IRemoteApp

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  RemoteApplication

    public interface IRemoteApp

extends java.rmi.Remote

RMI interface for an application. Currently only execute is used and supported.

Method Summary
`ResponseTrans` `execute(RequestTrans param)`
`void` `ping()`

Method Detail

### execute

    ResponseTrans execute(RequestTrans param)
                          throws java.rmi.RemoteException

  Parameters:
    `param` - ...
  Returns:
    ...
  Throws:
    `java.rmi.RemoteException` - ...

### ping

    void ping()
              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException` - ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.